<?php
/**
* NOTICE OF LICENSE
*
*   This file is property of Petr Hucik. You may NOT redistribute the code in any way
*   See license.txt for the complete license agreement
*
* @author    Petr Hucik
* @website   https://www.getdatakick.com
* @copyright Petr Hucik <petr@getdatakick.com>
* @license   see license.txt
* @version   2.1.3
*/
namespace Datakick;

class JsAppTranslation {
  private $module;

  public function __construct($module) {
    $this->module = $module;
  }

  public function getTranslations() {
    return $this->changed(array(
      " empty value " => $this->l(' empty value '),
      "#%s: %s" => $this->l('#%s: %s'),
      "%s already exists in your database, skipping this record" => $this->l('%s already exists in your database, skipping this record'),
      "%s are matched using %s field" => $this->l('%s are matched using %s field'),
      "%s changes" => $this->l('%s changes'),
      "%s deleted" => $this->l('%s deleted'),
      "%s does not have any custom fields" => $this->l('%s does not have any custom fields'),
      "%s field" => $this->l('%s field'),
      "%s file on remote web server" => $this->l('%s file on remote web server'),
      "%s file preview" => $this->l('%s file preview'),
      "%s file stored on your server" => $this->l('%s file stored on your server'),
      "%s list" => $this->l('%s list'),
      "%s rows" => $this->l('%s rows'),
      "%s scheduled tasks" => $this->l('%s scheduled tasks'),
      "%s sucessfully created" => $this->l('%s sucessfully created'),
      "%s sucessfully updated" => $this->l('%s sucessfully updated'),
      "%s value" => $this->l('%s value'),
      "%s with id %s was updated" => $this->l('%s with id %s was updated'),
      "- All sources -" => $this->l('- All sources -'),
      "- All statuses -" => $this->l('- All statuses -'),
      "Absolute path" => $this->l('Absolute path'),
      "Action" => $this->l('Action'),
      "Activate datakick module" => $this->l('Activate datakick module'),
      "Activate" => $this->l('Activate'),
      "Ad-Hoc Execution" => $this->l('Ad-Hoc Execution'),
      "Ad-Hoc Executions" => $this->l('Ad-Hoc Executions'),
      "Ad-Hoc" => $this->l('Ad-Hoc'),
      "Add %s" => $this->l('Add %s'),
      "Add Condition" => $this->l('Add Condition'),
      "Add condition" => $this->l('Add condition'),
      "Add datasource" => $this->l('Add datasource'),
      "Add missing %s" => $this->l('Add missing %s'),
      "Add new transformation" => $this->l('Add new transformation'),
      "Add rule" => $this->l('Add rule'),
      "Address" => $this->l('Address'),
      "Addresses" => $this->l('Addresses'),
      "Administrator role" => $this->l('Administrator role'),
      "Agree to terms and conditions" => $this->l('Agree to terms and conditions'),
      "Alias already used" => $this->l('Alias already used'),
      "Alias can't be empty" => $this->l('Alias can\'t be empty'),
      "Alias" => $this->l('Alias'),
      "All %s from the input %s file will be added to your database as new entries. Existing %s will not be modified in any way. This mode may result in duplicate records!" => $this->l('All %s from the input %s file will be added to your database as new entries. Existing %s will not be modified in any way. This mode may result in duplicate records!'),
      "All data" => $this->l('All data'),
      "Allow null values" => $this->l('Allow null values'),
      "Allowed values:" => $this->l('Allowed values:'),
      "Already existing %s will be updated. If we can't find matching %s, then the new one will be created" => $this->l('Already existing %s will be updated. If we can\'t find matching %s, then the new one will be created'),
      "Analyzing URL" => $this->l('Analyzing URL'),
      "Analyzing file stored on your server" => $this->l('Analyzing file stored on your server'),
      "Analyzing file" => $this->l('Analyzing file'),
      "Analyzing uploaded file" => $this->l('Analyzing uploaded file'),
      "Array" => $this->l('Array'),
      "Assign values" => $this->l('Assign values'),
      "Assigned carriers" => $this->l('Assigned carriers'),
      "Assigned products" => $this->l('Assigned products'),
      "Assing values" => $this->l('Assing values'),
      "Associate imported %s with %s" => $this->l('Associate imported %s with %s'),
      "Associate with %s" => $this->l('Associate with %s'),
      "At least one input field must be mapped" => $this->l('At least one input field must be mapped'),
      "Attribute Value" => $this->l('Attribute Value'),
      "Attribute name" => $this->l('Attribute name'),
      "Attribute value" => $this->l('Attribute value'),
      "Attribute values" => $this->l('Attribute values'),
      "Attribute" => $this->l('Attribute'),
      "Attribute_values" => $this->l('Attribute_values'),
      "Attributes" => $this->l('Attributes'),
      "Auto expand width" => $this->l('Auto expand width'),
      "Available carriers" => $this->l('Available carriers'),
      "Available fields" => $this->l('Available fields'),
      "Back to editor" => $this->l('Back to editor'),
      "Back" => $this->l('Back'),
      "Background" => $this->l('Background'),
      "Backup Database" => $this->l('Backup Database'),
      "Basic colors" => $this->l('Basic colors'),
      "Belongs to" => $this->l('Belongs to'),
      "Boolean" => $this->l('Boolean'),
      "Buy License" => $this->l('Buy License'),
      "Buy license" => $this->l('Buy license'),
      "CMS Categories" => $this->l('CMS Categories'),
      "CMS Category" => $this->l('CMS Category'),
      "CMS Pages" => $this->l('CMS Pages'),
      "CMS category id" => $this->l('CMS category id'),
      "CSV feed" => $this->l('CSV feed'),
      "CSV file" => $this->l('CSV file'),
      "Can have one" => $this->l('Can have one'),
      "Can't be empty" => $this->l('Can\'t be empty'),
      "Cancel" => $this->l('Cancel'),
      "Carrier" => $this->l('Carrier'),
      "Carriers in group" => $this->l('Carriers in group'),
      "Carriers" => $this->l('Carriers'),
      "Cart" => $this->l('Cart'),
      "Carts" => $this->l('Carts'),
      "Categories" => $this->l('Categories'),
      "Category" => $this->l('Category'),
      "Change source" => $this->l('Change source'),
      "Changes has been applied" => $this->l('Changes has been applied'),
      "Child nodes" => $this->l('Child nodes'),
      "Choose XML node to import" => $this->l('Choose XML node to import'),
      "Choose XML node with %s data" => $this->l('Choose XML node with %s data'),
      "Choose record type to import" => $this->l('Choose record type to import'),
      "Choose what you want to do" => $this->l('Choose what you want to do'),
      "Click to edit" => $this->l('Click to edit'),
      "Close" => $this->l('Close'),
      "Cms Category" => $this->l('Cms Category'),
      "Cms" => $this->l('Cms'),
      "Cms_categories" => $this->l('Cms_categories'),
      "Collection %s not found" => $this->l('Collection %s not found'),
      "Collection is required" => $this->l('Collection is required'),
      "Collection not found" => $this->l('Collection not found'),
      "Collection of all %s" => $this->l('Collection of all %s'),
      "Collection" => $this->l('Collection'),
      "Collections" => $this->l('Collections'),
      "Column alias" => $this->l('Column alias'),
      "Column label" => $this->l('Column label'),
      "Columns" => $this->l('Columns'),
      "Combination categories" => $this->l('Combination categories'),
      "Combination default category" => $this->l('Combination default category'),
      "Combination images" => $this->l('Combination images'),
      "Combination manufacturer" => $this->l('Combination manufacturer'),
      "Combination suppliers" => $this->l('Combination suppliers'),
      "Combination" => $this->l('Combination'),
      "Combinations in category" => $this->l('Combinations in category'),
      "Combinations using category as default" => $this->l('Combinations using category as default'),
      "Combinations with feature value" => $this->l('Combinations with feature value'),
      "Combinations" => $this->l('Combinations'),
      "Common node" => $this->l('Common node'),
      "Compatible import definitions" => $this->l('Compatible import definitions'),
      "Condition can't be empty" => $this->l('Condition can\'t be empty'),
      "Condition when rule applies" => $this->l('Condition when rule applies'),
      "Condition" => $this->l('Condition'),
      "Conditions are required for %s import mode" => $this->l('Conditions are required for %s import mode'),
      "Conditions" => $this->l('Conditions'),
      "Confirm" => $this->l('Confirm'),
      "Contact permission" => $this->l('Contact permission'),
      "Contact support" => $this->l('Contact support'),
      "Contains empty values" => $this->l('Contains empty values'),
      "Content" => $this->l('Content'),
      "Convert data type" => $this->l('Convert data type'),
      "Convert to type" => $this->l('Convert to type'),
      "Countries in zone" => $this->l('Countries in zone'),
      "Countries" => $this->l('Countries'),
      "Country states" => $this->l('Country states'),
      "Country zone" => $this->l('Country zone'),
      "Country" => $this->l('Country'),
      "Create database backup" => $this->l('Create database backup'),
      "Create endpoint" => $this->l('Create endpoint'),
      "Create field" => $this->l('Create field'),
      "Create import definition" => $this->l('Create import definition'),
      "Create new %s" => $this->l('Create new %s'),
      "Create new associations" => $this->l('Create new associations'),
      "Create new condition" => $this->l('Create new condition'),
      "Create new endpoint" => $this->l('Create new endpoint'),
      "Create new import definition" => $this->l('Create new import definition'),
      "Create new parameter" => $this->l('Create new parameter'),
      "Create new place" => $this->l('Create new place'),
      "Create new schedule" => $this->l('Create new schedule'),
      "Create new scheduled task" => $this->l('Create new scheduled task'),
      "Create parameter" => $this->l('Create parameter'),
      "Create schedule" => $this->l('Create schedule'),
      "Create" => $this->l('Create'),
      "Cron Services" => $this->l('Cron Services'),
      "Cron settings" => $this->l('Cron settings'),
      "Cron" => $this->l('Cron'),
      "Crons - Timers" => $this->l('Crons - Timers'),
      "Crons" => $this->l('Crons'),
      "Currencies" => $this->l('Currencies'),
      "Currency Rates" => $this->l('Currency Rates'),
      "Currency" => $this->l('Currency'),
      "Custom Field" => $this->l('Custom Field'),
      "Custom condition" => $this->l('Custom condition'),
      "Custom field values" => $this->l('Custom field values'),
      "Custom field" => $this->l('Custom field'),
      "Custom fields" => $this->l('Custom fields'),
      "Custom_fields" => $this->l('Custom_fields'),
      "Customer Group" => $this->l('Customer Group'),
      "Customer Groups" => $this->l('Customer Groups'),
      "Customer groups" => $this->l('Customer groups'),
      "Customer" => $this->l('Customer'),
      "Customer_groups" => $this->l('Customer_groups'),
      "Customers in group" => $this->l('Customers in group'),
      "Customers using group as default" => $this->l('Customers using group as default'),
      "Customers" => $this->l('Customers'),
      "Customization" => $this->l('Customization'),
      "Customize your store with Custom Fields" => $this->l('Customize your store with Custom Fields'),
      "Data export" => $this->l('Data export'),
      "Data import" => $this->l('Data import'),
      "Data modification" => $this->l('Data modification'),
      "Data type" => $this->l('Data type'),
      "Data" => $this->l('Data'),
      "DataKick module has been activated" => $this->l('DataKick module has been activated'),
      "Datakick usage" => $this->l('Datakick usage'),
      "Datakick" => $this->l('Datakick'),
      "Dataset" => $this->l('Dataset'),
      "Datasource successfully created" => $this->l('Datasource successfully created'),
      "Datasource" => $this->l('Datasource'),
      "Datasources" => $this->l('Datasources'),
      "Date and time" => $this->l('Date and time'),
      "Date format" => $this->l('Date format'),
      "Date only" => $this->l('Date only'),
      "Date" => $this->l('Date'),
      "Day of month" => $this->l('Day of month'),
      "Day of week" => $this->l('Day of week'),
      "Decimal number" => $this->l('Decimal number'),
      "Default currency" => $this->l('Default currency'),
      "Default group" => $this->l('Default group'),
      "Default language" => $this->l('Default language'),
      "Default page size" => $this->l('Default page size'),
      "Default value with override" => $this->l('Default value with override'),
      "Default value" => $this->l('Default value'),
      "Define your condition" => $this->l('Define your condition'),
      "Delete" => $this->l('Delete'),
      "Delivery address" => $this->l('Delivery address'),
      "Derived fields" => $this->l('Derived fields'),
      "Describe parameter" => $this->l('Describe parameter'),
      "Description" => $this->l('Description'),
      "Destination" => $this->l('Destination'),
      "Details" => $this->l('Details'),
      "Detected content type" => $this->l('Detected content type'),
      "Developer license" => $this->l('Developer license'),
      "Directory on server" => $this->l('Directory on server'),
      "Discover and find your data" => $this->l('Discover and find your data'),
      "Dismiss" => $this->l('Dismiss'),
      "Display name" => $this->l('Display name'),
      "Domain or IP address" => $this->l('Domain or IP address'),
      "Download CSV file" => $this->l('Download CSV file'),
      "Download XML file" => $this->l('Download XML file'),
      "Download template" => $this->l('Download template'),
      "Duplicate name" => $this->l('Duplicate name'),
      "Duplicate template" => $this->l('Duplicate template'),
      "Duration" => $this->l('Duration'),
      "EAN 13/JAN Barcode" => $this->l('EAN 13/JAN Barcode'),
      "Edit %s" => $this->l('Edit %s'),
      "Edit condition" => $this->l('Edit condition'),
      "Edit endpoint" => $this->l('Edit endpoint'),
      "Edit list" => $this->l('Edit list'),
      "Edit mass update" => $this->l('Edit mass update'),
      "Edit parameters" => $this->l('Edit parameters'),
      "Edit place" => $this->l('Edit place'),
      "Edit schedule" => $this->l('Edit schedule'),
      "Edit values" => $this->l('Edit values'),
      "Edit" => $this->l('Edit'),
      "Editable columns" => $this->l('Editable columns'),
      "Email address" => $this->l('Email address'),
      "Email subject" => $this->l('Email subject'),
      "Employee language" => $this->l('Employee language'),
      "Employee" => $this->l('Employee'),
      "Employees with role" => $this->l('Employees with role'),
      "Employees" => $this->l('Employees'),
      "Empty value" => $this->l('Empty value'),
      "Enabled" => $this->l('Enabled'),
      "Encode as CDATA" => $this->l('Encode as CDATA'),
      "Endpoint Parameter" => $this->l('Endpoint Parameter'),
      "Endpoint URL" => $this->l('Endpoint URL'),
      "Endpoint is active" => $this->l('Endpoint is active'),
      "Endpoint not found" => $this->l('Endpoint not found'),
      "Endpoint parameter name" => $this->l('Endpoint parameter name'),
      "Endpoint" => $this->l('Endpoint'),
      "Endpoint_parameters" => $this->l('Endpoint_parameters'),
      "Endpoints" => $this->l('Endpoints'),
      "Enter amount" => $this->l('Enter amount'),
      "Enter attribute name" => $this->l('Enter attribute name'),
      "Enter attribute value" => $this->l('Enter attribute value'),
      "Enter email address" => $this->l('Enter email address'),
      "Enter email subject" => $this->l('Enter email subject'),
      "Enter expression" => $this->l('Enter expression'),
      "Enter formula" => $this->l('Enter formula'),
      "Enter input value" => $this->l('Enter input value'),
      "Enter maximum length of text" => $this->l('Enter maximum length of text'),
      "Enter parameter value" => $this->l('Enter parameter value'),
      "Enter value" => $this->l('Enter value'),
      "Error message" => $this->l('Error message'),
      "Evaluate as Formula" => $this->l('Evaluate as Formula'),
      "Evaluate expression" => $this->l('Evaluate expression'),
      "Every day" => $this->l('Every day'),
      "Every hour" => $this->l('Every hour'),
      "Every month" => $this->l('Every month'),
      "Every week" => $this->l('Every week'),
      "Every year" => $this->l('Every year'),
      "Execute mass update" => $this->l('Execute mass update'),
      "Execute now" => $this->l('Execute now'),
      "Execute task" => $this->l('Execute task'),
      "Execution Parameter" => $this->l('Execution Parameter'),
      "Execution source" => $this->l('Execution source'),
      "Execution" => $this->l('Execution'),
      "Execution_parameters" => $this->l('Execution_parameters'),
      "Executions" => $this->l('Executions'),
      "Existing %s will be deleted and replaced by %s from input %s file" => $this->l('Existing %s will be deleted and replaced by %s from input %s file'),
      "Expiration" => $this->l('Expiration'),
      "Expression can't be translated to SQL expression" => $this->l('Expression can\'t be translated to SQL expression'),
      "Expression must return %s, not %s" => $this->l('Expression must return %s, not %s'),
      "Expression must return boolean value, not %s" => $this->l('Expression must return boolean value, not %s'),
      "Expression node" => $this->l('Expression node'),
      "Expression" => $this->l('Expression'),
      "Extend trial period" => $this->l('Extend trial period'),
      "FTP server" => $this->l('FTP server'),
      "Failed executions" => $this->l('Failed executions'),
      "Failed to change owner" => $this->l('Failed to change owner'),
      "Failed to create %s" => $this->l('Failed to create %s'),
      "Failed to delete %s" => $this->l('Failed to delete %s'),
      "Failed to execute task" => $this->l('Failed to execute task'),
      "Failed to find source path" => $this->l('Failed to find source path'),
      "Failed to import %s records" => $this->l('Failed to import %s records'),
      "Failed to load XML template" => $this->l('Failed to load XML template'),
      "Failed to perform edits" => $this->l('Failed to perform edits'),
      "Failed to read file" => $this->l('Failed to read file'),
      "Failed to retrive data from store" => $this->l('Failed to retrive data from store'),
      "Failed to save Mass Update" => $this->l('Failed to save Mass Update'),
      "Failed to save XML Template" => $this->l('Failed to save XML Template'),
      "Failed to save import definition" => $this->l('Failed to save import definition'),
      "Failed to save list" => $this->l('Failed to save list'),
      "Failed to update %s " => $this->l('Failed to update %s '),
      "Failed" => $this->l('Failed'),
      "Feature Value" => $this->l('Feature Value'),
      "Feature values" => $this->l('Feature values'),
      "Feature" => $this->l('Feature'),
      "Feature_values" => $this->l('Feature_values'),
      "Features" => $this->l('Features'),
      "Field data type" => $this->l('Field data type'),
      "Field is required" => $this->l('Field is required'),
      "Field mapping" => $this->l('Field mapping'),
      "Field name" => $this->l('Field name'),
      "Fields to update" => $this->l('Fields to update'),
      "Fields" => $this->l('Fields'),
      "File Type" => $this->l('File Type'),
      "File doesn't contain install instructions" => $this->l('File doesn\'t contain install instructions'),
      "File from web URL" => $this->l('File from web URL'),
      "File is too big" => $this->l('File is too big'),
      "File on server" => $this->l('File on server'),
      "File path on your server" => $this->l('File path on your server'),
      "Filter collections" => $this->l('Filter collections'),
      "Filter fields" => $this->l('Filter fields'),
      "Filter fields..." => $this->l('Filter fields...'),
      "Filter functions..." => $this->l('Filter functions...'),
      "Filter parent node" => $this->l('Filter parent node'),
      "Filter parent" => $this->l('Filter parent'),
      "Find record" => $this->l('Find record'),
      "Fixed value" => $this->l('Fixed value'),
      "Fixed when scrolling" => $this->l('Fixed when scrolling'),
      "Formula" => $this->l('Formula'),
      "Free trial" => $this->l('Free trial'),
      "Frequency" => $this->l('Frequency'),
      "Full license" => $this->l('Full license'),
      "Generate CSV file" => $this->l('Generate CSV file'),
      "Generate XML file" => $this->l('Generate XML file'),
      "Generating XML" => $this->l('Generating XML'),
      "Generating list..." => $this->l('Generating list...'),
      "Group name" => $this->l('Group name'),
      "HTTP referer" => $this->l('HTTP referer'),
      "Has child nodes" => $this->l('Has child nodes'),
      "Has many" => $this->l('Has many'),
      "Help & Documentation" => $this->l('Help & Documentation'),
      "Hide details" => $this->l('Hide details'),
      "Hide" => $this->l('Hide'),
      "Highlighting rules" => $this->l('Highlighting rules'),
      "Highlighting" => $this->l('Highlighting'),
      "How do you want to import %s?" => $this->l('How do you want to import %s?'),
      "How should we match %s data with existing %s?" => $this->l('How should we match %s data with existing %s?'),
      "I agree" => $this->l('I agree'),
      "ID" => $this->l('ID'),
      "ISO code" => $this->l('ISO code'),
      "Icon URL" => $this->l('Icon URL'),
      "Image URL" => $this->l('Image URL'),
      "Image" => $this->l('Image'),
      "Images" => $this->l('Images'),
      "Import %s together with %s" => $this->l('Import %s together with %s'),
      "Import %s" => $this->l('Import %s'),
      "Import Datasource" => $this->l('Import Datasource'),
      "Import Datasources" => $this->l('Import Datasources'),
      "Import Definition" => $this->l('Import Definition'),
      "Import Definitions" => $this->l('Import Definitions'),
      "Import data" => $this->l('Import data'),
      "Import definition has errors!" => $this->l('Import definition has errors!'),
      "Import definition is valid" => $this->l('Import definition is valid'),
      "Import definition saved" => $this->l('Import definition saved'),
      "Import has finished" => $this->l('Import has finished'),
      "Import mode" => $this->l('Import mode'),
      "Import options" => $this->l('Import options'),
      "Import package" => $this->l('Import package'),
      "Import progress" => $this->l('Import progress'),
      "Import related records" => $this->l('Import related records'),
      "Import results" => $this->l('Import results'),
      "Import type" => $this->l('Import type'),
      "Import" => $this->l('Import'),
      "Import_datasources" => $this->l('Import_datasources'),
      "Import_definitions" => $this->l('Import_definitions'),
      "Imported" => $this->l('Imported'),
      "Importing %s" => $this->l('Importing %s'),
      "Imports" => $this->l('Imports'),
      "In progress" => $this->l('In progress'),
      "Inline edit" => $this->l('Inline edit'),
      "Inline edits" => $this->l('Inline edits'),
      "Input value" => $this->l('Input value'),
      "Instalation failed" => $this->l('Instalation failed'),
      "Install" => $this->l('Install'),
      "Integer number" => $this->l('Integer number'),
      "Interval" => $this->l('Interval'),
      "Invalid URL" => $this->l('Invalid URL'),
      "Invalid condition" => $this->l('Invalid condition'),
      "Invalid expression" => $this->l('Invalid expression'),
      "Invalid license" => $this->l('Invalid license'),
      "Invalid mapping for %s - " => $this->l('Invalid mapping for %s - '),
      "Invalid name" => $this->l('Invalid name'),
      "Invalid xml name" => $this->l('Invalid xml name'),
      "Invoice address" => $this->l('Invoice address'),
      "Is Enumerable" => $this->l('Is Enumerable'),
      "Is Used" => $this->l('Is Used'),
      "Is public" => $this->l('Is public'),
      "Item type" => $this->l('Item type'),
      "Join new collection" => $this->l('Join new collection'),
      "Join restriction" => $this->l('Join restriction'),
      "Joined to" => $this->l('Joined to'),
      "Keep editing" => $this->l('Keep editing'),
      "Label" => $this->l('Label'),
      "Language" => $this->l('Language'),
      "Languages" => $this->l('Languages'),
      "Last execution" => $this->l('Last execution'),
      "Last updated" => $this->l('Last updated'),
      "Layered Navigation Block" => $this->l('Layered Navigation Block'),
      "Let's import some data" => $this->l('Let\'s import some data'),
      "Let's make it official" => $this->l('Let\'s make it official'),
      "License details" => $this->l('License details'),
      "License information" => $this->l('License information'),
      "License key" => $this->l('License key'),
      "License type" => $this->l('License type'),
      "License" => $this->l('License'),
      "List didn't return any data" => $this->l('List didn\'t return any data'),
      "List results" => $this->l('List results'),
      "List saved" => $this->l('List saved'),
      "List settings" => $this->l('List settings'),
      "List" => $this->l('List'),
      "Lists" => $this->l('Lists'),
      "Loading %s..." => $this->l('Loading %s...'),
      "Loading application..." => $this->l('Loading application...'),
      "Loading endpoint..." => $this->l('Loading endpoint...'),
      "Looks like you a little short on %s" => $this->l('Looks like you a little short on %s'),
      "Manager" => $this->l('Manager'),
      "Manufacturer" => $this->l('Manufacturer'),
      "Manufacturer's product combinations" => $this->l('Manufacturer\'s product combinations'),
      "Manufacturer's products" => $this->l('Manufacturer\'s products'),
      "Manufacturers" => $this->l('Manufacturers'),
      "Map data from %s file to %s fields" => $this->l('Map data from %s file to %s fields'),
      "Map fields" => $this->l('Map fields'),
      "Mapping for %s is required" => $this->l('Mapping for %s is required'),
      "Mapping to field in %s file" => $this->l('Mapping to field in %s file'),
      "Mass Update saved" => $this->l('Mass Update saved'),
      "Mass Update" => $this->l('Mass Update'),
      "Mass Updates" => $this->l('Mass Updates'),
      "Mass update - %s" => $this->l('Mass update - %s'),
      "Mass update your data" => $this->l('Mass update your data'),
      "Mass update" => $this->l('Mass update'),
      "Mass_updates" => $this->l('Mass_updates'),
      "Matching contains invalid condition" => $this->l('Matching contains invalid condition'),
      "Matching results" => $this->l('Matching results'),
      "Minute" => $this->l('Minute'),
      "Month" => $this->l('Month'),
      "Name can not be empty" => $this->l('Name can not be empty'),
      "Name" => $this->l('Name'),
      "New attribute" => $this->l('New attribute'),
      "New custom field" => $this->l('New custom field'),
      "New datasource" => $this->l('New datasource'),
      "New endpoint" => $this->l('New endpoint'),
      "New node" => $this->l('New node'),
      "New parameter" => $this->l('New parameter'),
      "New place" => $this->l('New place'),
      "New schedule" => $this->l('New schedule'),
      "Next execution" => $this->l('Next execution'),
      "Next" => $this->l('Next'),
      "No Mass Updates" => $this->l('No Mass Updates'),
      "No changes" => $this->l('No changes'),
      "No collections found" => $this->l('No collections found'),
      "No columns" => $this->l('No columns'),
      "No data" => $this->l('No data'),
      "No editable columns" => $this->l('No editable columns'),
      "No endpoint found" => $this->l('No endpoint found'),
      "No field is matching your search criteria" => $this->l('No field is matching your search criteria'),
      "No fixed columns" => $this->l('No fixed columns'),
      "No import definition is compatible with this datasource" => $this->l('No import definition is compatible with this datasource'),
      "No parameters are required" => $this->l('No parameters are required'),
      "No related records will be imported" => $this->l('No related records will be imported'),
      "No schedule found" => $this->l('No schedule found'),
      "No trailing columns" => $this->l('No trailing columns'),
      "No" => $this->l('No'),
      "Nothing found" => $this->l('Nothing found'),
      "Nothing found..." => $this->l('Nothing found...'),
      "Nothing selected" => $this->l('Nothing selected'),
      "Number type" => $this->l('Number type'),
      "Number" => $this->l('Number'),
      "OK" => $this->l('OK'),
      "Object alias" => $this->l('Object alias'),
      "Oh snap! Something went horribly wrong!" => $this->l('Oh snap! Something went horribly wrong!'),
      "Omit empty" => $this->l('Omit empty'),
      "Only %s that doesn't already exists in your database will be imported" => $this->l('Only %s that doesn\'t already exists in your database will be imported'),
      "Only administrators can access this section" => $this->l('Only administrators can access this section'),
      "Only alphanumeric, underscore or dash letters are allowed" => $this->l('Only alphanumeric, underscore or dash letters are allowed'),
      "Open Feed URL" => $this->l('Open Feed URL'),
      "Open URL" => $this->l('Open URL'),
      "Opt-in" => $this->l('Opt-in'),
      "Options" => $this->l('Options'),
      "Order" => $this->l('Order'),
      "Ordered Product" => $this->l('Ordered Product'),
      "Ordered products" => $this->l('Ordered products'),
      "Ordered" => $this->l('Ordered'),
      "Ordered_products" => $this->l('Ordered_products'),
      "Orders" => $this->l('Orders'),
      "Ouch, there was an error" => $this->l('Ouch, there was an error'),
      "Ouch, we can't display this Mass Update" => $this->l('Ouch, we can\'t display this Mass Update'),
      "Ouch, we can't display this list" => $this->l('Ouch, we can\'t display this list'),
      "Override %s permission" => $this->l('Override %s permission'),
      "Owner has been changed" => $this->l('Owner has been changed'),
      "Owner" => $this->l('Owner'),
      "Page View" => $this->l('Page View'),
      "Page Views" => $this->l('Page Views'),
      "Page views" => $this->l('Page views'),
      "Page_views" => $this->l('Page_views'),
      "Parameter: %s" => $this->l('Parameter: %s'),
      "Parameters" => $this->l('Parameters'),
      "Password" => $this->l('Password'),
      "Path to root directory" => $this->l('Path to root directory'),
      "Permissions" => $this->l('Permissions'),
      "Place Config" => $this->l('Place Config'),
      "Place Configuration" => $this->l('Place Configuration'),
      "Place" => $this->l('Place'),
      "Place_config" => $this->l('Place_config'),
      "Places & Destinations" => $this->l('Places & Destinations'),
      "Places" => $this->l('Places'),
      "Please enter constant" => $this->l('Please enter constant'),
      "Please enter default value" => $this->l('Please enter default value'),
      "Please enter field group name" => $this->l('Please enter field group name'),
      "Please enter field name" => $this->l('Please enter field name'),
      "Please enter license key" => $this->l('Please enter license key'),
      "Please enter your contact email address" => $this->l('Please enter your contact email address'),
      "Please provide all required parameters" => $this->l('Please provide all required parameters'),
      "Please provide parameters to %s" => $this->l('Please provide parameters to %s'),
      "Please select %s" => $this->l('Please select %s'),
      "Please select collection to update" => $this->l('Please select collection to update'),
      "Please select data this list should be based on" => $this->l('Please select data this list should be based on'),
      "Please select record" => $this->l('Please select record'),
      "Please wait..." => $this->l('Please wait...'),
      "Predefined attributes" => $this->l('Predefined attributes'),
      "Predefined nodes" => $this->l('Predefined nodes'),
      "Preparing file" => $this->l('Preparing file'),
      "Prestashop Cron tasks manager module" => $this->l('Prestashop Cron tasks manager module'),
      "Preview input data" => $this->l('Preview input data'),
      "Previous" => $this->l('Previous'),
      "Primary keys" => $this->l('Primary keys'),
      "Processed %s out of %s records" => $this->l('Processed %s out of %s records'),
      "Processing" => $this->l('Processing'),
      "Product categories" => $this->l('Product categories'),
      "Product combinations in cart" => $this->l('Product combinations in cart'),
      "Product combinations" => $this->l('Product combinations'),
      "Product default category" => $this->l('Product default category'),
      "Product images" => $this->l('Product images'),
      "Product manufacturer" => $this->l('Product manufacturer'),
      "Product suppliers" => $this->l('Product suppliers'),
      "Product" => $this->l('Product'),
      "Products in cart" => $this->l('Products in cart'),
      "Products in category" => $this->l('Products in category'),
      "Products using category as default" => $this->l('Products using category as default'),
      "Products with feature value" => $this->l('Products with feature value'),
      "Products" => $this->l('Products'),
      "Provide expression alias" => $this->l('Provide expression alias'),
      "Provide name for this place" => $this->l('Provide name for this place'),
      "Quit without saving?" => $this->l('Quit without saving?'),
      "Read restriction" => $this->l('Read restriction'),
      "Rebuild layered navigation block indexes" => $this->l('Rebuild layered navigation block indexes'),
      "Rebuild search index" => $this->l('Rebuild search index'),
      "Record Type" => $this->l('Record Type'),
      "Record id" => $this->l('Record id'),
      "Record type %s does not contain link %s" => $this->l('Record type %s does not contain link %s'),
      "Record type" => $this->l('Record type'),
      "Record types" => $this->l('Record types'),
      "Record" => $this->l('Record'),
      "Refresh currency rates" => $this->l('Refresh currency rates'),
      "Refresh" => $this->l('Refresh'),
      "Relationships" => $this->l('Relationships'),
      "Relative path from %s instalation" => $this->l('Relative path from %s instalation'),
      "Relative path" => $this->l('Relative path'),
      "Remaining" => $this->l('Remaining'),
      "Replace all %s" => $this->l('Replace all %s'),
      "Replace existing %s" => $this->l('Replace existing %s'),
      "Replace existing associations" => $this->l('Replace existing associations'),
      "Restriction" => $this->l('Restriction'),
      "Restrictions" => $this->l('Restrictions'),
      "Result" => $this->l('Result'),
      "Retry" => $this->l('Retry'),
      "Revert" => $this->l('Revert'),
      "Role Permissions" => $this->l('Role Permissions'),
      "Role Restrictions" => $this->l('Role Restrictions'),
      "Role name" => $this->l('Role name'),
      "Role" => $this->l('Role'),
      "Roles" => $this->l('Roles'),
      "Root directory" => $this->l('Root directory'),
      "Run task" => $this->l('Run task'),
      "Run" => $this->l('Run'),
      "Save changes" => $this->l('Save changes'),
      "Save parameter" => $this->l('Save parameter'),
      "Save" => $this->l('Save'),
      "Schedule Parameter" => $this->l('Schedule Parameter'),
      "Schedule for %s" => $this->l('Schedule for %s'),
      "Schedule is active" => $this->l('Schedule is active'),
      "Schedule" => $this->l('Schedule'),
      "Schedule_parameters" => $this->l('Schedule_parameters'),
      "Scheduled Tasks" => $this->l('Scheduled Tasks'),
      "Scheduled task" => $this->l('Scheduled task'),
      "Scheduled tasks" => $this->l('Scheduled tasks'),
      "Schedules" => $this->l('Schedules'),
      "Search %s" => $this->l('Search %s'),
      "Search Index" => $this->l('Search Index'),
      "Search" => $this->l('Search'),
      "Search..." => $this->l('Search...'),
      "Searching, please wait..." => $this->l('Searching, please wait...'),
      "Select %s field" => $this->l('Select %s field'),
      "Select %s" => $this->l('Select %s'),
      "Select collection" => $this->l('Select collection'),
      "Select currency" => $this->l('Select currency'),
      "Select data" => $this->l('Select data'),
      "Select entity" => $this->l('Select entity'),
      "Select field" => $this->l('Select field'),
      "Select input field from %s file" => $this->l('Select input field from %s file'),
      "Select input field" => $this->l('Select input field'),
      "Select mapping for %s" => $this->l('Select mapping for %s'),
      "Select or create parameter" => $this->l('Select or create parameter'),
      "Select record type" => $this->l('Select record type'),
      "Select record" => $this->l('Select record'),
      "Select target %s field" => $this->l('Select target %s field'),
      "Select task to be triggered by this endpoint" => $this->l('Select task to be triggered by this endpoint'),
      "Select task to schedule" => $this->l('Select task to schedule'),
      "Select task type" => $this->l('Select task type'),
      "Select" => $this->l('Select'),
      "Send data to Google or Facebook" => $this->l('Send data to Google or Facebook'),
      "Server address" => $this->l('Server address'),
      "Session" => $this->l('Session'),
      "Sessions" => $this->l('Sessions'),
      "Set up lookup strategy" => $this->l('Set up lookup strategy'),
      "Set up mapping for %s" => $this->l('Set up mapping for %s'),
      "Settings" => $this->l('Settings'),
      "Setup instructions for " => $this->l('Setup instructions for '),
      "Setup instructions" => $this->l('Setup instructions'),
      "Shop" => $this->l('Shop'),
      "Shopping Carts" => $this->l('Shopping Carts'),
      "Shops" => $this->l('Shops'),
      "Show Distinct Only" => $this->l('Show Distinct Only'),
      "Show details" => $this->l('Show details'),
      "Show recent executions" => $this->l('Show recent executions'),
      "Show structure" => $this->l('Show structure'),
      "Show values" => $this->l('Show values'),
      "Skipped" => $this->l('Skipped'),
      "Source ID" => $this->l('Source ID'),
      "Source type" => $this->l('Source type'),
      "Source" => $this->l('Source'),
      "Standard fields" => $this->l('Standard fields'),
      "Start using datakick" => $this->l('Start using datakick'),
      "Starting import" => $this->l('Starting import'),
      "State" => $this->l('State'),
      "States in zone" => $this->l('States in zone'),
      "States" => $this->l('States'),
      "Status" => $this->l('Status'),
      "Stock Movement" => $this->l('Stock Movement'),
      "Stock Movements" => $this->l('Stock Movements'),
      "Stock movements" => $this->l('Stock movements'),
      "Stock" => $this->l('Stock'),
      "Stock_movements" => $this->l('Stock_movements'),
      "Stocks" => $this->l('Stocks'),
      "Stop import" => $this->l('Stop import'),
      "Stop processing more rules" => $this->l('Stop processing more rules'),
      "Store" => $this->l('Store'),
      "Structure SHA1" => $this->l('Structure SHA1'),
      "Structure" => $this->l('Structure'),
      "Submit" => $this->l('Submit'),
      "Success" => $this->l('Success'),
      "Sucessfully installed" => $this->l('Sucessfully installed'),
      "Supplier" => $this->l('Supplier'),
      "Supplier's combinations" => $this->l('Supplier\'s combinations'),
      "Supplier's products" => $this->l('Supplier\'s products'),
      "Suppliers" => $this->l('Suppliers'),
      "Supply Order Detail" => $this->l('Supply Order Detail'),
      "Supply Order Details" => $this->l('Supply Order Details'),
      "Supply Order" => $this->l('Supply Order'),
      "Supply Orders" => $this->l('Supply Orders'),
      "Supply orders" => $this->l('Supply orders'),
      "Supply_order_details" => $this->l('Supply_order_details'),
      "Supply_orders" => $this->l('Supply_orders'),
      "System Cron" => $this->l('System Cron'),
      "System" => $this->l('System'),
      "Tag name can't be empty" => $this->l('Tag name can\'t be empty'),
      "Tag name" => $this->l('Tag name'),
      "Tag" => $this->l('Tag'),
      "Tagged combinations" => $this->l('Tagged combinations'),
      "Tagged products" => $this->l('Tagged products'),
      "Tags" => $this->l('Tags'),
      "Target %s field: %s" => $this->l('Target %s field: %s'),
      "Target collection is not set" => $this->l('Target collection is not set'),
      "Target record type %s not found" => $this->l('Target record type %s not found'),
      "Task %s cancelled" => $this->l('Task %s cancelled'),
      "Task %s failed" => $this->l('Task %s failed'),
      "Task %s has been killed" => $this->l('Task %s has been killed'),
      "Task %s has started" => $this->l('Task %s has started'),
      "Task %s successfully finished" => $this->l('Task %s successfully finished'),
      "Task %s will start shortly..." => $this->l('Task %s will start shortly...'),
      "Task type" => $this->l('Task type'),
      "Task" => $this->l('Task'),
      "Tax Rule" => $this->l('Tax Rule'),
      "Tax Rules" => $this->l('Tax Rules'),
      "Tax_rules" => $this->l('Tax_rules'),
      "Template name" => $this->l('Template name'),
      "Terminating import" => $this->l('Terminating import'),
      "Text length" => $this->l('Text length'),
      "Text node" => $this->l('Text node'),
      "Text style" => $this->l('Text style'),
      "Text" => $this->l('Text'),
      "This collection does not have any related records" => $this->l('This collection does not have any related records'),
      "Time" => $this->l('Time'),
      "Transformation `%s` can't be applied to %s input type" => $this->l('Transformation `%s` can\'t be applied to %s input type'),
      "Type ID" => $this->l('Type ID'),
      "Type" => $this->l('Type'),
      "UPC code" => $this->l('UPC code'),
      "Unnamed import" => $this->l('Unnamed import'),
      "Unnamed list" => $this->l('Unnamed list'),
      "Unnamed mass update" => $this->l('Unnamed mass update'),
      "Unnamed template" => $this->l('Unnamed template'),
      "Unsaved custom field" => $this->l('Unsaved custom field'),
      "Unsaved endpoint" => $this->l('Unsaved endpoint'),
      "Unsaved place" => $this->l('Unsaved place'),
      "Unsaved schedule" => $this->l('Unsaved schedule'),
      "Unused %s" => $this->l('Unused %s'),
      "Update %s" => $this->l('Update %s'),
      "Update existing or add new %s" => $this->l('Update existing or add new %s'),
      "Upload failed" => $this->l('Upload failed'),
      "Upload file" => $this->l('Upload file'),
      "Upload sucessfully finished, wrapping up" => $this->l('Upload sucessfully finished, wrapping up'),
      "Upload will start shortly" => $this->l('Upload will start shortly'),
      "Uploaded %s out of %s" => $this->l('Uploaded %s out of %s'),
      "Uploaded file" => $this->l('Uploaded file'),
      "Uploading %s file" => $this->l('Uploading %s file'),
      "Usage" => $this->l('Usage'),
      "Use for scheduling" => $this->l('Use for scheduling'),
      "Used carrier" => $this->l('Used carrier'),
      "Used currency" => $this->l('Used currency'),
      "User Permissions" => $this->l('User Permissions'),
      "User Restrictions" => $this->l('User Restrictions'),
      "User id" => $this->l('User id'),
      "User" => $this->l('User'),
      "Username" => $this->l('Username'),
      "Users" => $this->l('Users'),
      "Valid expression of type %s" => $this->l('Valid expression of type %s'),
      "Valid for" => $this->l('Valid for'),
      "Valid license" => $this->l('Valid license'),
      "Value provided by URL parameter" => $this->l('Value provided by URL parameter'),
      "Value required" => $this->l('Value required'),
      "Value" => $this->l('Value'),
      "Values" => $this->l('Values'),
      "Variable currency" => $this->l('Variable currency'),
      "View %s" => $this->l('View %s'),
      "View" => $this->l('View'),
      "Visitor" => $this->l('Visitor'),
      "Visitors" => $this->l('Visitors'),
      "Warehouse carriers" => $this->l('Warehouse carriers'),
      "Warehouse manager" => $this->l('Warehouse manager'),
      "Warehouse stocks" => $this->l('Warehouse stocks'),
      "Warehouse" => $this->l('Warehouse'),
      "Warehouses" => $this->l('Warehouses'),
      "Warning" => $this->l('Warning'),
      "We will update only %s that are already in your database. No new %s will be created" => $this->l('We will update only %s that are already in your database. No new %s will be created'),
      "Web Cron" => $this->l('Web Cron'),
      "Web URL" => $this->l('Web URL'),
      "What data type are in this %s file?" => $this->l('What data type are in this %s file?'),
      "What emails can we send you?" => $this->l('What emails can we send you?'),
      "Where is your input file located?" => $this->l('Where is your input file located?'),
      "Write restriction" => $this->l('Write restriction'),
      "XML Template saved" => $this->l('XML Template saved'),
      "XML Template" => $this->l('XML Template'),
      "XML Templates" => $this->l('XML Templates'),
      "XML definition contains errors" => $this->l('XML definition contains errors'),
      "XML feed" => $this->l('XML feed'),
      "XML file" => $this->l('XML file'),
      "XML structure" => $this->l('XML structure'),
      "XML" => $this->l('XML'),
      "Xml Template" => $this->l('Xml Template'),
      "Xml Templates" => $this->l('Xml Templates'),
      "Xml_templates" => $this->l('Xml_templates'),
      "Yes" => $this->l('Yes'),
      "Yes, close editor" => $this->l('Yes, close editor'),
      "You can contact me" => $this->l('You can contact me'),
      "You may provide default value" => $this->l('You may provide default value'),
      "Your free trial with DataKick" => $this->l('Your free trial with DataKick'),
      "Zone" => $this->l('Zone'),
      "Zones" => $this->l('Zones'),
      "accept language" => $this->l('accept language'),
      "active" => $this->l('active'),
      "add alternate import definition" => $this->l('add alternate import definition'),
      "add handling costs" => $this->l('add handling costs'),
      "add, update or replace your store data using external XML file" => $this->l('add, update or replace your store data using external XML file'),
      "additional shipping cost" => $this->l('additional shipping cost'),
      "address id" => $this->l('address id'),
      "address line 1" => $this->l('address line 1'),
      "address line 2" => $this->l('address line 2'),
      "adhoc" => $this->l('adhoc'),
      "adjust input value using custom expression" => $this->l('adjust input value using custom expression'),
      "advanced mapping" => $this->l('advanced mapping'),
      "after end of" => $this->l('after end of'),
      "after start of" => $this->l('after start of'),
      "age" => $this->l('age'),
      "alias" => $this->l('alias'),
      "allow separated package" => $this->l('allow separated package'),
      "any" => $this->l('any'),
      "array of %s" => $this->l('array of %s'),
      "at" => $this->l('at'),
      "attribute names" => $this->l('attribute names'),
      "attribute type" => $this->l('attribute type'),
      "attribute value" => $this->l('attribute value'),
      "attribute values" => $this->l('attribute values'),
      "availability date" => $this->l('availability date'),
      "available for order" => $this->l('available for order'),
      "back office theme" => $this->l('back office theme'),
      "base price" => $this->l('base price'),
      "before end of" => $this->l('before end of'),
      "before start of" => $this->l('before start of'),
      "between" => $this->l('between'),
      "billing method" => $this->l('billing method'),
      "birthday" => $this->l('birthday'),
      "boolean" => $this->l('boolean'),
      "call prefix" => $this->l('call prefix'),
      "can be customized" => $this->l('can be customized'),
      "can be ordered" => $this->l('can be ordered'),
      "can download" => $this->l('can download'),
      "can order if out of stock" => $this->l('can order if out of stock'),
      "carrier id" => $this->l('carrier id'),
      "cart description" => $this->l('cart description'),
      "cart id" => $this->l('cart id'),
      "categories (x,y,z...)" => $this->l('categories (x,y,z...)'),
      "changing data type can break existing templates" => $this->l('changing data type can break existing templates'),
      "changing data type will erase all field data" => $this->l('changing data type will erase all field data'),
      "changing field alias can break existing templates" => $this->l('changing field alias can break existing templates'),
      "city" => $this->l('city'),
      "code" => $this->l('code'),
      "color" => $this->l('color'),
      "combination id" => $this->l('combination id'),
      "company" => $this->l('company'),
      "condition" => $this->l('condition'),
      "constant value" => $this->l('constant value'),
      "constant" => $this->l('constant'),
      "contains states" => $this->l('contains states'),
      "contains" => $this->l('contains'),
      "content" => $this->l('content'),
      "conversion rate" => $this->l('conversion rate'),
      "convert input string value to different data type" => $this->l('convert input string value to different data type'),
      "copying source XML to temporary file on your server..." => $this->l('copying source XML to temporary file on your server...'),
      "country id" => $this->l('country id'),
      "create custom fields on your records to track additional information about your products, categories or customers" => $this->l('create custom fields on your records to track additional information about your products, categories or customers'),
      "currency id" => $this->l('currency id'),
      "currency" => $this->l('currency'),
      "current status id" => $this->l('current status id'),
      "customer id" => $this->l('customer id'),
      "customer" => $this->l('customer'),
      "customization is required" => $this->l('customization is required'),
      "datasource" => $this->l('datasource'),
      "datasources" => $this->l('datasources'),
      "date created" => $this->l('date created'),
      "date format" => $this->l('date format'),
      "date updated" => $this->l('date updated'),
      "date/time format" => $this->l('date/time format'),
      "date/time" => $this->l('date/time'),
      "datetime" => $this->l('datetime'),
      "default category" => $this->l('default category'),
      "default group id" => $this->l('default group id'),
      "default image" => $this->l('default image'),
      "default manufacturer id" => $this->l('default manufacturer id'),
      "default manufacturer" => $this->l('default manufacturer'),
      "default supplier id" => $this->l('default supplier id'),
      "default supplier reference" => $this->l('default supplier reference'),
      "default supplier" => $this->l('default supplier'),
      "delivered in full" => $this->l('delivered in full'),
      "delivery address id" => $this->l('delivery address id'),
      "delivery date" => $this->l('delivery date'),
      "delivery number" => $this->l('delivery number'),
      "delivery option" => $this->l('delivery option'),
      "deployed to %s URLs" => $this->l('deployed to %s URLs'),
      "depth" => $this->l('depth'),
      "description" => $this->l('description'),
      "disable when out of range" => $this->l('disable when out of range'),
      "discount %" => $this->l('discount %'),
      "discount rate %" => $this->l('discount rate %'),
      "discount rate" => $this->l('discount rate'),
      "discount" => $this->l('discount'),
      "display any data as list, apply filters and highlightings. Export your lists to excel" => $this->l('display any data as list, apply filters and highlightings. Export your lists to excel'),
      "display tax label" => $this->l('display tax label'),
      "display value" => $this->l('display value'),
      "distinct pages" => $this->l('distinct pages'),
      "download deadline" => $this->l('download deadline'),
      "download link" => $this->l('download link'),
      "download secure key" => $this->l('download secure key'),
      "duration" => $this->l('duration'),
      "ean13" => $this->l('ean13'),
      "ecotax rate" => $this->l('ecotax rate'),
      "ecotax" => $this->l('ecotax'),
      "email" => $this->l('email'),
      "employee id" => $this->l('employee id'),
      "employee" => $this->l('employee'),
      "empty conditions" => $this->l('empty conditions'),
      "endpoint id" => $this->l('endpoint id'),
      "endpoint" => $this->l('endpoint'),
      "ends with" => $this->l('ends with'),
      "enter alias in camelCase format" => $this->l('enter alias in camelCase format'),
      "enter date/time" => $this->l('enter date/time'),
      "enumeration" => $this->l('enumeration'),
      "events will be ignored" => $this->l('events will be ignored'),
      "events will be used for scheduling" => $this->l('events will be used for scheduling'),
      "every %s days" => $this->l('every %s days'),
      "every %s hours" => $this->l('every %s hours'),
      "every %s minutes" => $this->l('every %s minutes'),
      "every day" => $this->l('every day'),
      "every hour" => $this->l('every hour'),
      "every minute" => $this->l('every minute'),
      "everything" => $this->l('everything'),
      "exchange rate" => $this->l('exchange rate'),
      "execution id" => $this->l('execution id'),
      "expected delivery date" => $this->l('expected delivery date'),
      "extended free trial" => $this->l('extended free trial'),
      "external web service that periodically access specific URL" => $this->l('external web service that periodically access specific URL'),
      "failed to import %s: %s" => $this->l('failed to import %s: %s'),
      "failed" => $this->l('failed'),
      "feature id" => $this->l('feature id'),
      "features (x,y,z...)" => $this->l('features (x,y,z...)'),
      "fieldset" => $this->l('fieldset'),
      "file path" => $this->l('file path'),
      "first name" => $this->l('first name'),
      "fixed currency" => $this->l('fixed currency'),
      "free shipping" => $this->l('free shipping'),
      "free trial" => $this->l('free trial'),
      "frequency" => $this->l('frequency'),
      "friendly URL" => $this->l('friendly URL'),
      "full access" => $this->l('full access'),
      "full name" => $this->l('full name'),
      "gender" => $this->l('gender'),
      "gift message" => $this->l('gift message'),
      "gift wrapping" => $this->l('gift wrapping'),
      "greater or equal to" => $this->l('greater or equal to'),
      "greater than" => $this->l('greater than'),
      "group discount %" => $this->l('group discount %'),
      "group discount without tax" => $this->l('group discount without tax'),
      "group discount" => $this->l('group discount'),
      "has %s custom fields" => $this->l('has %s custom fields'),
      "has combinations" => $this->l('has combinations'),
      "has order" => $this->l('has order'),
      "has same value as" => $this->l('has same value as'),
      "has subcategories" => $this->l('has subcategories'),
      "history" => $this->l('history'),
      "id" => $this->l('id'),
      "identification number" => $this->l('identification number'),
      "image id" => $this->l('image id'),
      "image" => $this->l('image'),
      "images (x,y,z...)" => $this->l('images (x,y,z...)'),
      "impact on price" => $this->l('impact on price'),
      "impact on unit price" => $this->l('impact on unit price'),
      "impact on weight" => $this->l('impact on weight'),
      "indexation" => $this->l('indexation'),
      "integrate your store with various services like Google Merchant Center or Facebook Ads" => $this->l('integrate your store with various services like Google Merchant Center or Facebook Ads'),
      "invoice address id" => $this->l('invoice address id'),
      "invoice date" => $this->l('invoice date'),
      "invoice id" => $this->l('invoice id'),
      "invoice number" => $this->l('invoice number'),
      "ip address" => $this->l('ip address'),
      "is RTL" => $this->l('is RTL'),
      "is active" => $this->l('is active'),
      "is closed" => $this->l('is closed'),
      "is cover" => $this->l('is cover'),
      "is custom" => $this->l('is custom'),
      "is default" => $this->l('is default'),
      "is deleted" => $this->l('is deleted'),
      "is download" => $this->l('is download'),
      "is editable" => $this->l('is editable'),
      "is enabled" => $this->l('is enabled'),
      "is indexed" => $this->l('is indexed'),
      "is not set" => $this->l('is not set'),
      "is not" => $this->l('is not'),
      "is pack" => $this->l('is pack'),
      "is template" => $this->l('is template'),
      "is validated" => $this->l('is validated'),
      "is virtual" => $this->l('is virtual'),
      "is" => $this->l('is'),
      "label" => $this->l('label'),
      "landing url" => $this->l('landing url'),
      "language id" => $this->l('language id'),
      "language name" => $this->l('language name'),
      "last execution" => $this->l('last execution'),
      "last name" => $this->l('last name'),
      "last seen" => $this->l('last seen'),
      "last visit" => $this->l('last visit'),
      "leave date/time" => $this->l('leave date/time'),
      "legend text" => $this->l('legend text'),
      "legend" => $this->l('legend'),
      "less or equal to" => $this->l('less or equal to'),
      "less than" => $this->l('less than'),
      "level" => $this->l('level'),
      "logo" => $this->l('logo'),
      "long description" => $this->l('long description'),
      "management type" => $this->l('management type'),
      "manager" => $this->l('manager'),
      "manufacturer id" => $this->l('manufacturer id'),
      "max depth" => $this->l('max depth'),
      "max height" => $this->l('max height'),
      "max weight" => $this->l('max weight'),
      "max width" => $this->l('max width'),
      "menu orientation" => $this->l('menu orientation'),
      "meta description" => $this->l('meta description'),
      "meta keywords" => $this->l('meta keywords'),
      "meta title" => $this->l('meta title'),
      "minimum order quantity" => $this->l('minimum order quantity'),
      "mobile phone" => $this->l('mobile phone'),
      "more options" => $this->l('more options'),
      "more" => $this->l('more'),
      "name" => $this->l('name'),
      "needs tax id number" => $this->l('needs tax id number'),
      "needs zip/postal code" => $this->l('needs zip/postal code'),
      "never" => $this->l('never'),
      "new %s with id %s was created" => $this->l('new %s with id %s was created'),
      "newsletter" => $this->l('newsletter'),
      "next occurence" => $this->l('next occurence'),
      "no %s matched conditions, skipping this record" => $this->l('no %s matched conditions, skipping this record'),
      "no custom fields" => $this->l('no custom fields'),
      "node value" => $this->l('node value'),
      "not running" => $this->l('not running'),
      "not set" => $this->l('not set'),
      "not used" => $this->l('not used'),
      "nothing found..." => $this->l('nothing found...'),
      "number of downloads" => $this->l('number of downloads'),
      "number of items" => $this->l('number of items'),
      "number" => $this->l('number'),
      "object id" => $this->l('object id'),
      "of" => $this->l('of'),
      "on sale" => $this->l('on sale'),
      "on" => $this->l('on'),
      "online only" => $this->l('online only'),
      "operating system" => $this->l('operating system'),
      "order description" => $this->l('order description'),
      "order id" => $this->l('order id'),
      "order is validated" => $this->l('order is validated'),
      "order language" => $this->l('order language'),
      "other" => $this->l('other'),
      "package depth" => $this->l('package depth'),
      "package height" => $this->l('package height'),
      "package weight" => $this->l('package weight'),
      "package width" => $this->l('package width'),
      "page id" => $this->l('page id'),
      "page type" => $this->l('page type'),
      "pages" => $this->l('pages'),
      "parameter" => $this->l('parameter'),
      "parent id" => $this->l('parent id'),
      "partially delivered" => $this->l('partially delivered'),
      "password [hashed]" => $this->l('password [hashed]'),
      "password changed" => $this->l('password changed'),
      "password" => $this->l('password'),
      "path" => $this->l('path'),
      "payment type" => $this->l('payment type'),
      "pending delivery" => $this->l('pending delivery'),
      "periodic execution of PHP script via server cron service" => $this->l('periodic execution of PHP script via server cron service'),
      "phone" => $this->l('phone'),
      "physical quantity" => $this->l('physical quantity'),
      "place id" => $this->l('place id'),
      "please wait, this might take a few seconds..." => $this->l('please wait, this might take a few seconds...'),
      "position" => $this->l('position'),
      "price tax excl." => $this->l('price tax excl.'),
      "price tax incl." => $this->l('price tax incl.'),
      "price with discount" => $this->l('price with discount'),
      "price with tax" => $this->l('price with tax'),
      "price" => $this->l('price'),
      "prices with tax" => $this->l('prices with tax'),
      "priority" => $this->l('priority'),
      "product EAN 13/JAN Barcode" => $this->l('product EAN 13/JAN Barcode'),
      "product UPC code" => $this->l('product UPC code'),
      "product base price" => $this->l('product base price'),
      "product category id" => $this->l('product category id'),
      "product cover image id" => $this->l('product cover image id'),
      "product id" => $this->l('product id'),
      "product name" => $this->l('product name'),
      "product reference" => $this->l('product reference'),
      "product supplier reference" => $this->l('product supplier reference'),
      "product weight" => $this->l('product weight'),
      "provide default value in case input value is empty or missing" => $this->l('provide default value in case input value is empty or missing'),
      "public name" => $this->l('public name'),
      "quantity discount applied" => $this->l('quantity discount applied'),
      "quantity received" => $this->l('quantity received'),
      "quantity refunded" => $this->l('quantity refunded'),
      "quantity returned" => $this->l('quantity returned'),
      "quantity" => $this->l('quantity'),
      "read only" => $this->l('read only'),
      "redirected to product id" => $this->l('redirected to product id'),
      "redirection type" => $this->l('redirection type'),
      "reference" => $this->l('reference'),
      "refresh" => $this->l('refresh'),
      "role id" => $this->l('role id'),
      "root category id" => $this->l('root category id'),
      "root category" => $this->l('root category'),
      "running" => $this->l('running'),
      "same invoice and delivery address" => $this->l('same invoice and delivery address'),
      "schedule id" => $this->l('schedule id'),
      "schedule" => $this->l('schedule'),
      "scheduled to run every %s" => $this->l('scheduled to run every %s'),
      "search engine keywords" => $this->l('search engine keywords'),
      "secure key" => $this->l('secure key'),
      "select %s field..." => $this->l('select %s field...'),
      "select field..." => $this->l('select field...'),
      "select input field..." => $this->l('select input field...'),
      "session id" => $this->l('session id'),
      "shipping cost tax excl." => $this->l('shipping cost tax excl.'),
      "shipping cost" => $this->l('shipping cost'),
      "shop id" => $this->l('shop id'),
      "show in catalog" => $this->l('show in catalog'),
      "show in search" => $this->l('show in search'),
      "show price" => $this->l('show price'),
      "show prices" => $this->l('show prices'),
      "sign" => $this->l('sign'),
      "specific price - discount amount without tax" => $this->l('specific price - discount amount without tax'),
      "specific price - discount amount" => $this->l('specific price - discount amount'),
      "specific price - discount percentage" => $this->l('specific price - discount percentage'),
      "speed grade" => $this->l('speed grade'),
      "starts with" => $this->l('starts with'),
      "state id" => $this->l('state id'),
      "status" => $this->l('status'),
      "stock delivered" => $this->l('stock delivered'),
      "stock id" => $this->l('stock id'),
      "string" => $this->l('string'),
      "subtype" => $this->l('subtype'),
      "success" => $this->l('success'),
      "sufficient quantity on stock" => $this->l('sufficient quantity on stock'),
      "supplier id" => $this->l('supplier id'),
      "supplier reference" => $this->l('supplier reference'),
      "supplier" => $this->l('supplier'),
      "supply order id" => $this->l('supply order id'),
      "supports adobe director" => $this->l('supports adobe director'),
      "supports adobe flash" => $this->l('supports adobe flash'),
      "supports apple quicktime" => $this->l('supports apple quicktime'),
      "supports java applets" => $this->l('supports java applets'),
      "supports javascript" => $this->l('supports javascript'),
      "supports real player" => $this->l('supports real player'),
      "supports windows media" => $this->l('supports windows media'),
      "tags (x,y,z...)" => $this->l('tags (x,y,z...)'),
      "tax number" => $this->l('tax number'),
      "tax rate" => $this->l('tax rate'),
      "tax rule id" => $this->l('tax rule id'),
      "tax" => $this->l('tax'),
      "text displayed when in stock" => $this->l('text displayed when in stock'),
      "text displayed when not in stock" => $this->l('text displayed when not in stock'),
      "this field requires %s type, got %s instead" => $this->l('this field requires %s type, got %s instead'),
      "title" => $this->l('title'),
      "total [shop currency]" => $this->l('total [shop currency]'),
      "total discounts tax excl." => $this->l('total discounts tax excl.'),
      "total discounts" => $this->l('total discounts'),
      "total paid" => $this->l('total paid'),
      "total price tax excl." => $this->l('total price tax excl.'),
      "total price" => $this->l('total price'),
      "total products tax excl." => $this->l('total products tax excl.'),
      "total products" => $this->l('total products'),
      "total quantity" => $this->l('total quantity'),
      "total shipping tax excl." => $this->l('total shipping tax excl.'),
      "total shipping" => $this->l('total shipping'),
      "total tax excl." => $this->l('total tax excl.'),
      "total tax" => $this->l('total tax'),
      "total with discount" => $this->l('total with discount'),
      "total with tax" => $this->l('total with tax'),
      "total wrapping tax excl." => $this->l('total wrapping tax excl.'),
      "total wrapping" => $this->l('total wrapping'),
      "total" => $this->l('total'),
      "tracking number" => $this->l('tracking number'),
      "tracking url" => $this->l('tracking url'),
      "transformed" => $this->l('transformed'),
      "transit time" => $this->l('transit time'),
      "type" => $this->l('type'),
      "unique id" => $this->l('unique id'),
      "unit price ratio" => $this->l('unit price ratio'),
      "unit price tax excl." => $this->l('unit price tax excl.'),
      "unit price tax incl." => $this->l('unit price tax incl.'),
      "unit price" => $this->l('unit price'),
      "unit valuation" => $this->l('unit valuation'),
      "unit" => $this->l('unit'),
      "unknown" => $this->l('unknown'),
      "unused template" => $this->l('unused template'),
      "up and running" => $this->l('up and running'),
      "upc code" => $this->l('upc code'),
      "upc" => $this->l('upc'),
      "update multiple records at once. Adjust price of your products, text of your categories, and more..." => $this->l('update multiple records at once. Adjust price of your products, text of your categories, and more...'),
      "uploaded %s file" => $this->l('uploaded %s file'),
      "url" => $this->l('url'),
      "usable quantity" => $this->l('usable quantity'),
      "usage key" => $this->l('usage key'),
      "use input value to find record in your database" => $this->l('use input value to find record in your database'),
      "use recycled packaging" => $this->l('use recycled packaging'),
      "used mobile theme" => $this->l('used mobile theme'),
      "used" => $this->l('used'),
      "uses prestashop cronjobs module to receive cron events" => $this->l('uses prestashop cronjobs module to receive cron events'),
      "validating input XML and counting number of records..." => $this->l('validating input XML and counting number of records...'),
      "valuation" => $this->l('valuation'),
      "value id" => $this->l('value id'),
      "value or URL parameter is required" => $this->l('value or URL parameter is required'),
      "value" => $this->l('value'),
      "variable currency" => $this->l('variable currency'),
      "view and %s permissions" => $this->l('view and %s permissions'),
      "view, %s and %s permissions" => $this->l('view, %s and %s permissions'),
      "visibility" => $this->l('visibility'),
      "visitor id" => $this->l('visitor id'),
      "warehouse id" => $this->l('warehouse id'),
      "warehouse" => $this->l('warehouse'),
      "we are evaluating your matching conditions, this may take a while..." => $this->l('we are evaluating your matching conditions, this may take a while...'),
      "web browser" => $this->l('web browser'),
      "what are you looking for?" => $this->l('what are you looking for?'),
      "wholesale price" => $this->l('wholesale price'),
      "you don't have access to %s record type" => $this->l('you don\'t have access to %s record type'),
      "you don't have permissions to edit %s" => $this->l('you don\'t have permissions to edit %s'),
      "zip / postcode" => $this->l('zip / postcode'),
      "zip/postal code format" => $this->l('zip/postal code format'),
      "zone id" => $this->l('zone id')
    ));
  }

  private function l($str) {
    return html_entity_decode($this->module->l($str, 'js-app-translation'));
  }

  private function changed($array) {
    $ret = array();
    foreach ($array as $key => $value) {
      if ($value != $key) {
        $ret[$key] = $value;
      }
    }
    return $ret;
  }
}
